{ inputs, config, lib, ... }:

{
  # Creates an overlay from a given input
  mkOverlayFromInput = name: input: {
    nixpkgs.overlays = [
      (final: prev:
        prev.lib.attrsets.setAttrByPath [ name ] (
          import input {
            system = prev.system;

            overlays = [ inputs.self.overlay ];
            #config = config.nixpkgs.config;
          }
        ))
    ];
  };
  mkSystem = import ./mkSystem.nix {
    inherit inputs config lib;
  };
  network = import ./network.nix;
}
